idevicebackup2(1)

NAME
idevicebackup2 - Create or restore backups for devices running iOS 4 or later.

SYNOPSIS
idevicebackup2 [OPTIONS] CMD [CMDOPTIONS] DIRECTORY

DESCRIPTION
Create or restore backup from the current or specified directory.

OPTIONS

-u, --udid UDID
    target specific device by its 40-digit device UDID.

-s, --source UDID
    use backup data from device specified by UDID.

-i, --interactive
    request passwords interactively on the command line.

-d, --debug
    enable communication debugging.

-h, --help
    prints usage information.

COMMANDS

backup
    create backup for the device.

restore
    restore last backup to the device.

--system
    restore system files, too.

--reboot
    reboot the system when done.

--copy
    create a copy of backup folder before restoring.

--settings
    restore device settings from the backup.

--remove
    remove items which are not being restored.

--password PWD
    supply the password of the source backup.

info
    show details about last completed backup of device.

list
    list files of last completed backup in CSV format.

encryption on|off [PWD]
    enable or disable backup encryption.

changepw [OLD NEW]
    change backup password on target device.

AUTHORS
Martin Szulecki Nikias Bassen

SEE ALSO
idevicebackup(1)

ON THE WEB
http://libimobiledevice.org